Skip to main content
GET
/
partner
/
campaigns
curl https://api.thanxsandbox.com/partner/campaigns?merchant_id={merchant_id} \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "campaigns": [
    {
      "id": "camp_abc123",
      "name": "Summer Free Coffee",
      "objective": "Re-engage lapsed customers",
      "start_at": "2025-06-01T00:00:00Z",
      "end_at": "2025-08-31T23:59:59Z",
      "redeemable_from": "2025-06-01T00:00:00Z",
      "redeemable_to": "2025-09-30T23:59:59Z",
      "time_zone": "America/Los_Angeles",
      "fine_print": "Limit one per customer",
      "variants": [
        {
          "id": "var_treat1",
          "name": "Treatment",
          "reward_template_id": "abc123def456"
        },
        {
          "id": "var_ctrl1",
          "name": "Control",
          "reward_template_id": null
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 10,
    "total_pages": 1
  }
}
Scope required: rewards.issue
This endpoint returns all active partner-initiated campaigns for a given merchant. Only campaigns created through the Partner API are returned.

Parameters

merchant_id
string
required
Merchant ID
page
integer
The current page of paginated resources.
  • Default: 1.
per_page
integer
Number of records to be returned per API request.
  • Default: 10
  • Minimum: 1
  • Maximum: 100

Response

id
string
Campaign ID
name
string
Campaign name
objective
string
Campaign objective
start_at
datetime
Campaign start date (ISO8601)
end_at
datetime
Campaign end date (ISO8601)
redeemable_from
datetime
Reward redemption start date (ISO8601)
redeemable_to
datetime
Reward redemption end date (ISO8601)
time_zone
string
Campaign time zone
fine_print
string
Terms and conditions
variants
array
Campaign variants
pagination
hash
Pagination information
curl https://api.thanxsandbox.com/partner/campaigns?merchant_id={merchant_id} \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "campaigns": [
    {
      "id": "camp_abc123",
      "name": "Summer Free Coffee",
      "objective": "Re-engage lapsed customers",
      "start_at": "2025-06-01T00:00:00Z",
      "end_at": "2025-08-31T23:59:59Z",
      "redeemable_from": "2025-06-01T00:00:00Z",
      "redeemable_to": "2025-09-30T23:59:59Z",
      "time_zone": "America/Los_Angeles",
      "fine_print": "Limit one per customer",
      "variants": [
        {
          "id": "var_treat1",
          "name": "Treatment",
          "reward_template_id": "abc123def456"
        },
        {
          "id": "var_ctrl1",
          "name": "Control",
          "reward_template_id": null
        }
      ]
    }
  ],
  "pagination": {
    "current_page": 1,
    "per_page": 10,
    "total_pages": 1
  }
}